Subject: Re: Fixes for Windows

From: Karl Berry <[email-masked]>
Date: Fri, 24 Nov 2023 10:31:45 -0700

Hi Olly - back on your message from January 2018:

    https://lists.gnu.org/archive/html/automake-patches/2018-01/msg00007.html

    I found I needed the two attached patches to build Xapian
    (https://xapian.org) on Windows.

The first patch was already applied some time ago.

    The second patch is only needed when using libtool, but should
    be harmless when not.

I agree. Belatedly applied, sorry for the crazy delay. Thanks.
(And thanks to Bogdan for unearthing this from the archives.)

diff --git a/lib/compile b/lib/compile
index 38ab1224b..58f7f214a 100755
--- a/lib/compile
+++ b/lib/compile
@@ -143,7 +143,7 @@ func_cl_wrapper ()
 	  # configure might choose to run compile as 'compile cc -o foo foo.c'.
 	  eat=1
 	  case $2 in
-	    *.o | *.[oO][bB][jJ])
+	    *.o | *.lo | *.[oO][bB][jJ])
 	      func_file_conv "$2"
 	      set x "$@" -Fo"$file"
 	      shift

compile finished at Fri Nov 24 09:19:59 2023